dnl -----------------------------------------------------------------------
dnl BerkeleyDB-specific configuration
dnl The "--with-berkeleydb" option must be used to enable BerkeleyDB support
dnl -----------------------------------------------------------------------

AC_SUBST(BERKELEYDB_CPPFLAGS)
AC_SUBST(BERKELEYDB_LDFLAGS)
AC_SUBST(BERKELEYDB_LIBS)
BERKELEYDB_CPPFLAGS=
BERKELEYDB_LDFLAGS=
BERKELEYDB_LIBS=

AC_ARG_WITH(berkeleydb,
  --with-berkeleydb=DIR     make use of BerkeleyDB (DIR is the BerkeleyDB installation path),
if test "$with_berkeleydb" != "no"
then
  AC_MSG_CHECKING(BerkeleyDB)
  if test -z "$with_berkeleydb" -o "$with_berkeleydb" = "yes"
  then
    with_berkeleydb=/usr/local/BerkeleyDB
  fi
  BERKELEYDB_CPPFLAGS=-I${with_berkeleydb}/include
  BERKELEYDB_LDFLAGS=-L${with_berkeleydb}/lib
  BERKELEYDB_LIBS=-ldb
  AC_MSG_RESULT(${with_berkeleydb})

  CPPFLAGS_saved=$CPPFLAGS
  LDFLAGS_saved=$LDFLAGS
  CPPFLAGS="$BERKELEYDB_CPPFLAGS $CPPFLAGS"
  LDFLAGS="$BERKELEYDB_LDFLAGS $LDFLAGS"
  CPPFLAGS=$CPPFLAGS_saved
  LDFLAGS=$LDFLAGS_saved

fi
)

