dnl **********************************************************************
dnl
dnl Copyright (c) 2000
dnl Object Oriented Concepts, Inc.
dnl Billerica, MA, USA
dnl
dnl All Rights Reserved
dnl
dnl **********************************************************************

dnl ----------------------------------------------------------------------
dnl ORBacus-specific configuration
dnl ----------------------------------------------------------------------

AC_SUBST(OBEVENT_CPPFLAGS)
AC_SUBST(OBEVENT_LDFLAGS)
AC_SUBST(OBEVENT_LIBS)

OBEVENT_CPPFLAGS=
OBEVENT_LDFLAGS=
OBEVENT_LIBS=

AC_SUBST(WITH_OBEVENT)
WITH_OBEVENT=no
AC_ARG_WITH(obevent,
  --with-obevent=DIR          make use of the Event Service,

obevent_path="../event/"

dnl
dnl Look for the Event Service in the ORBacus installation directory
dnl
if test -n "$with_ob" -a "$with_ob" != "no" -a "$with_ob" != "yes"
then
    obevent_path="${with_ob}/"
    if test ! -f ${obevent_path}include/OB/EventService.h
    then
    	obevent_path="${with_ob}/event/"
	if test ! -f ${obevent_path}include/OB/EventService.h
    	then
	    obevent_path="${with_ob}/../event/"
    	fi
    fi
fi

dnl
dnl If the user supplied a directory for the event service with the
dnl --with-event option then look for the event service in this directory
dnl
if test -n "$with_obevent" -a "$with_obevent" != "no" \
        -a "$with_obevent" != "yes"
then
    obevent_path="${with_obevent}/"
    if test ! -f ${obevent_path}include/OB/EventService.h
    then
	obevent_path="${obevent_path}event/"
    fi
fi

if test -z "$with_obevent" -o "$with_obevent" != "no"
then
    dnl
    dnl If we didn't find the event service directory, print an error message.
    dnl
    if test ! -f ${obevent_path}include/OB/EventService.h
    then
    	AC_MSG_ERROR(Can't find ORBacus Event Service! Use the --with-ob=path option or the --with-obevent=path option if the ORBacus Event Service is not installed in the ORBacus directory.)
    fi

    if test ! \( -n "$with_ob" -a "$with_ob" != "no" -a "$with_ob" != "yes" \) -a ! \( -n "$with_obevent" -a "$with_obevent" != "no" -a "$with_obevent" != "yes" \)
    then
        obevent_path="\$(top_srcdir)/$obevent_path"
    fi

    OBEVENT_LDFLAGS="$OBEVENT_LDFLAGS -L${obevent_path}lib"
    OBEVENT_CPPFLAGS="$OBEVENT_CPPFLAGS -I${obevent_path}include"
    OBEVENT_LIBS="$OBEVENT_LIBS -lOBEventService -lOBEvent"
    AC_DEFINE(HAVE_OBEVENT)
    WITH_OBEVENT=yes
fi
)
