dnl **********************************************************************
dnl
dnl Copyright (c) 2000
dnl Object Oriented Concepts, Inc.
dnl Billerica, MA, USA
dnl
dnl All Rights Reserved
dnl
dnl **********************************************************************

dnl ----------------------------------------------------------------------
dnl ORBacus-specific configuration
dnl ----------------------------------------------------------------------

AC_SUBST(OBNOTIFY_CPPFLAGS)
AC_SUBST(OBNOTIFY_LDFLAGS)
AC_SUBST(OBNOTIFY_LIBS)

OBNOTIFY_CPPFLAGS=
OBNOTIFY_LDFLAGS=
OBNOTIFY_LIBS=

AC_SUBST(WITH_OBNOTIFY)
WITH_OBNOTIFY=no
AC_ARG_WITH(obnotify,
  --with-obnotify=DIR         make use of ORBacus Notify,

if test -z "$with_obnotify" -o "$with_obnotify" != "no"
then
    obnotify_path="../notify/"
 
    dnl
    dnl Check that the given directory contains the notification service.
    dnl
    if test -n "$with_obnotify" -a "$with_obnotify" != "yes"
    then
        obnotify_path="${with_obnotify}/"
        if test ! -f ${obnotify_path}include/OB/NotifyService.h
        then
    	    obnotify_path="${obnotify_path}notify/"
        fi
    fi

    dnl
    dnl If we can't find the notification service installation directory,
    dnl print an error message.
    dnl
    if test ! -f ${obnotify_path}include/OB/NotifyService.h
    then
        AC_MSG_ERROR(Can't find ORBacus Notify! Use the --with-obnotify=path option.)
    fi

    if test ! \( -n "$with_obnotify" -a "$with_obnotify" != "no" -a "$with_obnotify" != "yes" \)
    then
        obnotify_path="\$(top_srcdir)/$obnotify_path"
    fi

    OBNOTIFY_LDFLAGS="$OBNOTIFY_LDFLAGS -L${obnotify_path}lib"
    OBNOTIFY_CPPFLAGS="$OBNOTIFY_CPPFLAGS -I${obnotify_path}include"
    OBNOTIFY_LIBS="$OBNOTIFY_LIBS -lOBNotifyService  -lOBNotifyFilter"
    OBNOTIFY_LIBS="$OBNOTIFY_LIBS -lOBNotify"
    AC_DEFINE(HAVE_OBNOTIFY)
    WITH_OBNOTIFY=yes
fi
)
