dnl **********************************************************************
dnl
dnl Copyright (c) 2000
dnl Object Oriented Concepts, Inc.
dnl Billerica, MA, USA
dnl
dnl All Rights Reserved
dnl
dnl **********************************************************************

dnl ----------------------------------------------------------------------
dnl ORBacus-specific configuration
dnl ----------------------------------------------------------------------

AC_SUBST(OBTIME_CPPFLAGS)
AC_SUBST(OBTIME_LDFLAGS)
AC_SUBST(OBTIME_LIBS)
AC_SUBST(OBTIME_IDLFLAGS)

OBTIME_CPPFLAGS=
OBTIME_LDFLAGS=
OBTIME_LIBS=
OBTIME_IDLFLAGS=

AC_ARG_WITH(obtime,
  --with-obtime=DIR         make use of the Time Service,
)

obtime_path="../time/"

dnl
dnl Look for the Time Service in the ORBacus installation directory
dnl
if test -n "$with_ob" -a "$with_ob" != "no" -a "$with_ob" != "yes"
then
    obtime_path="${with_ob}/"
    if test ! -f ${obtime_path}include/OB/TimeService.h
    then
    	obtime_path="${with_ob}/time/"
    	if test ! -f ${obtime_path}include/OB/TimeService.h
    	then
	    obtime_path="${with_ob}/../time/"
    	fi
    fi
fi

dnl
dnl Look for the Time Service in the directory specified with --with-obtime
dnl
if test -n "$with_obtime" -a "$with_obtime" != "no" -a "$with_obtime" != "yes"
then
    obtime_path="${with_obtime}/"
    if test ! -f ${obtime_path}include/OB/TimeService.h
    then
	obtime_path="${obtime_path}time/"
    fi
fi

dnl
dnl If we didn't find the Time Service directory print an error message
dnl 
if test ! -f ${obtime_path}include/OB/TimeService.h
then
    AC_MSG_ERROR(Can't find ORBacus Time Service library! Use the --with-ob=path option or the --with-obtime=path option if the ORBacus Time Service is not installed in the ORBacus directory.)
fi

if test ! \( -n "$with_ob" -a "$with_ob" != "no" -a "$with_ob" != "yes" \) -a ! \( -n "$with_obtime" -a "$with_obtime" != "no" -a "$with_obtime" != "yes" \)
then
    obtime_path="\$(top_srcdir)/$obtime_path"
fi

OBTIME_LDFLAGS="$OBTIME_LDFLAGS -L${obtime_path}lib"
OBTIME_CPPFLAGS="$OBTIME_CPPFLAGS -I${obtime_path}include"
OBTIME_LIBS="$OBTIME_LIBS -lCosTime"
OBTIME_IDLFLAGS="$OBTIME_IDLFLAGS -I${obtime_path}idl"
